Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1

TOPIC: emerge --update world: Abhängigkeitenproblem

emerge --update world: Abhängigkeitenproblem 5 years 4 months ago #225

  • Gnulle
  • Gnulle's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 19
Hallo Gemeinde,

fahre Toorox 2009.2 unter KDE 4.2. Beim Versuch (nach dem sync), ein emerge --update world zu starten, kommt folgende Warnung.

emerge: there are no ebuilds built with USE flags to satisfy ">=x11-libs/qt-gui-4.4.0:4[mng]".
000005 !!! One of the following packages is required to complete your request:
000006 - x11-libs/qt-gui-4.5.0 (Change USE: +mng)
000007 (dependency required by "kde-base/kopete-4.2.1" [ebuild])
000008 (dependency required by "kde-base/kdenetwork-meta-4.2.1" [ebuild])
000009 (dependency required by "kde-base/kde-meta-4.2.1" [ebuild])
000010 (dependency required by "world" [argument])

Was kann ich da machen? Sorry für die dumme Frage, aber gentoo-mäßig bin ich noch ein Laie.

Danke und Grüße Thomas
The administrator has disabled public write access.

Aw: emerge --update world: Abhängigkeitenproblem 5 years 4 months ago #226

  • Joern
  • Joern's Avatar
  • OFFLINE
  • Administrator
  • Posts: 421
  • Thank you received: 5
Hallo Gnulle!
000006 - x11-libs/qt-gui-4.5.0 (Change USE: +mng)
Starte Systemconfig -> Software und gib im Suchfeld "qt-gui" ein.
Dann auf Fortg.Emerge klicken, ein Haken bei "mng" setzen und
"Ausführen" klicken. Nach erfolgreicher Installation von dem Paket
sollte dann Dein Update weiterlaufen.
Natürlich kannst Du auch "mng" in /etc/make.conf unter USE=""
hinzufügen, damit es dauerhaft aktiviert ist.

Gruß Joern
The administrator has disabled public write access.

Aw: emerge --update world: Abhängigkeitenproblem 5 years 4 months ago #227

  • Gnulle
  • Gnulle's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 19
Hallo Joern,

hab's so gemacht, wie Du geschrieben hast. Auch das USE-flag mng gesetzt. Mit folg. Ergebnis:

000001 *** emerge --update world ***
000002 .. done!
000003
000004 !!! All ebuilds that could satisfy ">=sys-libs/glibc-2.8" have been masked.
000005 !!! One of the following masked packages is required to complete your request:
000006 - sys-libs/glibc-2.9_p20081201-r2 (masked by: package.mask)
000007 - sys-libs/glibc-2.9_p20081201-r1 (masked by: package.mask)
000008 - sys-libs/glibc-2.9_p20081201 (masked by: package.mask)
000009 - sys-libs/glibc-2.8_p20080602-r1 (masked by: package.mask)
000010 - sys-libs/glibc-2.8_p20080602 (masked by: package.mask)
000011
000012 For more information, see the MASKED PACKAGES section in the emerge
000013 man page or refer to the Gentoo Handbook.
000014 (dependency required by "sys-devel/gcc-4.3.3-r1" [ebuild])
000015 (dependency required by "world" [argument])
000016
000017 *** process completed ***

Das passiert auf einem frisch installierten System (ich hatte neuinstalliert, nachdem ich nach dem ersten Versuch KDE gar nicht mehr starten konnte).

Wat nu? Kann es auch damit zusammenhängen, daß ich qt-gui 4.5 unter der grafischen Oberfläche mit porthole upgedated habe?

Vielen Dank und Grüße
Thomas
The administrator has disabled public write access.

Aw: emerge --update world: Abhängigkeitenproblem 5 years 4 months ago #228

  • Joern
  • Joern's Avatar
  • OFFLINE
  • Administrator
  • Posts: 421
  • Thank you received: 5
Hallo Gnulle!
mcedit /etc/portage/package.mask
und lösche die beiden glibc Einträge dort raus.

Gruß
The administrator has disabled public write access.

Aw: emerge --update world: Abhängigkeitenproblem 5 years 4 months ago #229

  • Gnulle
  • Gnulle's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 19
Hi Joern,

erledigt, das emerge world update läuft jetzt schon seit ca. 4 Std.

Auf das Ergebnis bin ich gespannt...

Vielen Dank erstmal für Deine Hilfe und Grüße
Thomas
The administrator has disabled public write access.

Re:Aw: emerge --update world: Abhängigkeitenproblem 5 years 4 months ago #230

  • Gnulle
  • Gnulle's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 19
So, das world update ist durch. KDE startet wieder, diesmal wieder mit Login-Schirm.

Sieht auf den ersten Blick erstmal alles recht gut aus (schreibe gerade aus Minefield 3.07).

Werde mich jetzt an Flash und den nvidia-Treiber machen.

Besten Dank nochmal und einen schönen Abend.
Thomas
The administrator has disabled public write access.

Aw: Re:Aw: emerge --update world: Abhängigkeitenproblem 5 years 4 months ago #231

  • ManfredB
  • ManfredB's Avatar
  • OFFLINE
  • Junior Boarder
  • Posts: 37
Hallo Gnulle,

hat sich etwas am Aussehen des Desktops von Toorox geändert?

Ich mache das update auch gerade.

Gruss
Manfred
The administrator has disabled public write access.
  • Page:
  • 1
Time to create page: 0.209 seconds
Powered by Kunena Forum
FaLang translation system by Faboba
   
© 2012 toorox.de | Toorox gehört nicht zu dem Gentoo Projekt. Gentoo ® ist eine eingetragene Marke des Förderverein Gentoo e.V. Andere Warenzeichen sind Eigentum der jeweiligen Rechteinhaber. Bitte senden Sie keine Toorox-spezifischen Probleme oder Fehler an Gentoo Bugzilla! Toorox is not part of the Gentoo project. Gentoo ® is a trademark of the registered association Gentoo e.V. Other trademarks are property of their respective owners. Please do not send Toorox-specific bugs or problems to Gentoo bugzilla!